package dev.adriankuta.flights.navigation

import androidx.annotation.StringRes
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.Place
import androidx.compose.material.icons.outlined.Search
import androidx.compose.ui.graphics.vector.ImageVector
import dev.adriankuta.flights.ui.home.navigation.HomeRoute
import dev.adriankuta.flights.ui.home.navigation.StationsRoute
import kotlin.reflect.KClass
import dev.adriankuta.flights.ui.home.R as homeR
import dev.adriankuta.flights.ui.stations.R as stationsR

enum class TopLevelDestination(
    val icon: ImageVector,
    @StringRes val titleTextId: Int,
    val route: KClass<*>,
    val baseRoute: KClass<*> = route,
) {
    HOME(
        icon = Icons.Outlined.Search,
        titleTextId = homeR.string.home_screen_title,
        route = HomeRoute::class,
    ),
    STATIONS(
        icon = Icons.Outlined.Place,
        titleTextId = stationsR.string.stations_screen_title,
        route = StationsRoute::class,
    ),
}
