package dev.adriankuta.flights.model.repository.di

import dagger.Binds
import dagger.Module
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import dev.adriankuta.flights.domain.stations.GetConnectionsForAirportUseCase
import dev.adriankuta.flights.model.repository.usecases.GetConnectionsForAirportUseCaseImpl

@Module
@InstallIn(SingletonComponent::class)
@Suppress("UnnecessaryAbstractClass")
internal abstract class GetConnectionsForAirportUseCaseModule {

    @Binds
    abstract fun bind(
        getConnectionsForAirportUseCaseImpl: GetConnectionsForAirportUseCaseImpl,
    ): GetConnectionsForAirportUseCase
}
