package dev.adriankuta.flights.model.repository.di

import dagger.Binds
import dagger.Module
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import dev.adriankuta.flights.domain.stations.ObserveAirportsGroupedByCountry
import dev.adriankuta.flights.model.repository.usecases.ObserveAirportsGroupedByCountryImpl

@Module
@InstallIn(SingletonComponent::class)
@Suppress("UnnecessaryAbstractClass")
internal abstract class ObserveAirportsGroupedByCountryModule {

    @Binds
    abstract fun bind(
        observeAirportsGroupedByCountryImpl: ObserveAirportsGroupedByCountryImpl,
    ): ObserveAirportsGroupedByCountry
}
